> ## Documentation Index
> Fetch the complete documentation index at: https://resq-dependabot-github-actions-github-actions-478e18be3d.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload image to IPFS



## OpenAPI

````yaml /specs/coordination.json post /v1/upload
openapi: 3.0.3
info:
  title: ResQ Coordination HCE Documentation
  description: Development documentation
  version: 2.0.0
servers: []
security: []
tags:
  - name: Storage
    description: Storage and IPFS endpoints
  - name: Intelligence
    description: Disaster intelligence and reporting
  - name: Simulation
    description: Fault injection and simulation
  - name: Fleet
    description: Fleet management and telemetry
  - name: Admin
    description: Admin endpoints
  - name: Observability
    description: Observability endpoints
paths:
  /v1/upload:
    post:
      tags:
        - Storage
      summary: Upload image to IPFS
      operationId: postV1Upload
      parameters: []
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - file
              properties:
                file:
                  default: File
                  type: string
                  format: binary
      responses:
        '200':
          description: File uploaded to IPFS

````